Subject: bug#35383: 27.0.50; Complete process of decoding Gnus group names

From: Eric Abrahamsen <[email-masked]>
Date: Wed, 24 Apr 2019 10:04:13 -0700

On 04/24/19 17:06 PM, Katsumi Yamaoka wrote:
> Hi,
>
> I found that certain kinds[1] of Japanese mails (like the
> attached text part) saved in a nnml group get corrupted when
> viewing.  The root cause is this:
>
> (defvar nnmail-file-coding-system 'undecided
>   "Coding system used in nnmail.")
>
> The default value used to be `raw-text'.
> Because `nnml-file-coding-system' inherits it, when viewing
> an article from a file `nnmail-find-file' reads and decodes
> the contents, and then `gnus-display-mime'[1] decodes it again.
> IIUC `gnus-display-mime' expects a raw article, so any back end
> should not decode the first fetched data, I think.  This helps:
>
> (setq nnml-file-coding-system 'raw-text)

Oh, that was a misunderstanding on my part, then -- I certainly didn't
mean to change anything about article encoding or display, or anything
related to MIME. I'll switch that default back again.

Thanks,
Eric